Subject: bug#73596: 29.4; empty (let) does not signal an error

From: Stefan Kangas <[email-masked]>
Date: Sat, 2 Nov 2024 22:58:30 -0700

tags 73596 + wontfix
close 73596
thanks

Stefan Monnier <[email-masked]> writes:

>>> Not sure if the following is an error or the intended behavior.
>>> IIUC empty (let) should signal an error, and it did so in Emacs 27.2.
>>> However, it returns nil now.
>
> The compiler emits a warning when encountering a `let` without a body,
> which I think is the most important aspect.
>
> Returning nil (when the user decides to run the code despite the
> warning) seems just as good as signaling an error.  Just don't rely on it.

Further discussion revealed that we don't see the need to make any
changes here.  I'm therefore closing this bug report now.